package service

import (
	"XT_New/models"
)

func CreateVMOrgPatient(patients *models.VMOrgPatients) {
	writeDb.Model(&models.VMOrgPatients{}).Create(&patients)
}

func CreateVMOrgNewPatient(patientsNew *models.XtPatientsNew) {
	writeDb.Model(&models.XtPatientsNew{}).Create(&patientsNew)
}

func CreateVMZone(zone *models.VMDeviceZone) {
	writeDb.Model(&models.VMDeviceZone{}).Create(&zone)
}

func CreateVMGroup(group *models.VMDeviceGroup) {
	writeDb.Model(&models.VMDeviceGroup{}).Create(&group)
}

func CreateVMDeviceNumber(number *models.VMDeviceNumber) {
	writeDb.Model(&models.VMDeviceNumber{}).Create(&number)
}

func CreateVMSch(sch *models.VMSchedule) {
	writeDb.Model(&models.VMSchedule{}).Create(&sch)
}

func CreateVMSchMode(schMode *models.VMPatientScheduleTemplateMode) {
	writeDb.Model(&models.VMPatientScheduleTemplateMode{}).Create(&schMode)
}

func CreateVMSchTemplateId(schTemplateId *models.VMPatientScheduleTemplateId) {
	writeDb.Model(&models.VMPatientScheduleTemplateId{}).Create(&schTemplateId)
}

func CreateVMSchTemplate(schTemplate *models.VMPatientScheduleTemplateItem) {
	writeDb.Model(&models.VMPatientScheduleTemplateItem{}).Create(&schTemplate)
}

func CreateVMPrescription(sys *models.SystemPrescription) {
	writeDb.Model(&models.SystemPrescription{}).Create(&sys)
}

func CreatedDeviceMode(mode *models.VMDeviceMode) {

	UserWriteDB().Model(&models.VMDeviceMode{}).Create(&mode)
}

func GetFirstDeviceMode(orgid int64) (models.VMDeviceMode, error) {
	mode := models.VMDeviceMode{}
	err = UserReadDB().Where("user_org_id = ? and status =1", orgid).First(&mode).Error
	return mode, err
}

func GetFirstBedNumber(orgid int64) (models.VMDeviceNumber, error) {
	number := models.VMDeviceNumber{}
	err := XTReadDB().Where("org_id = ? and status =1", orgid).First(&number).Error
	return number, err
}

func CreateDeviceAddMacher(addmacher *models.VmDeviceAddmacher) {

	UserWriteDB().Model(&models.VmDeviceAddmacher{}).Create(&addmacher)
}

func GetLastMacher(orgid int64) (models.VmDeviceAddmacher, error) {
	addmacher := models.VmDeviceAddmacher{}
	err := UserReadDB().Where("user_org_id = ? and status =1", orgid).First(&addmacher).Error
	return addmacher, err
}

func CreatedTreateMode(treatmentmode *models.VmDeviceTreatmentmode) {
	XTWriteDB().Model(&models.VmDeviceTreatmentmode{}).Create(&treatmentmode)

}

func CreateVMPrintTemplate(template *models.VMGobalTemplate) (err error) {
	err = writeDb.Model(&models.VMGobalTemplate{}).Create(template).Error
	return
}
